/*
 * IRParsingException.java
 *
 * Created on September 21, 2006, 3:53 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport;

/**
 *
 * @author gtoffoli
 */
public class IRParsingException extends Exception {
    
    String chunk = null;
    /** Creates a new instance of IRParsingException */
    public IRParsingException(String msg, String chunk) {
        super(msg);
        this.chunk = chunk;
    }
    
    public IRParsingException(String msg) {
        this(msg,null);
    }
    
    public String getChunk()
    {
        return chunk;
    }
    
    public void setChunk(String c)
    {
        this.chunk = c;
    }
    
}
